<div class="row">
    <div class="col-lg-9">
        <div class="py-4">
            <h2 class="d-inline" [translate]="'Grades.AllGrades'"></h2>
            <div class="dropdown">
                <button class="btn btn-light dropdown-toggle d-none d-sm-block" disabled
                        type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true"
                        aria-expanded="false">
                    <span class="mr-4-5" [translate]="'Grades.Print'"></span>
                </button>
                <button type="button" class="d-block d-sm-none btn btn-brand pt-2">
                    <i class="fas fa-sliders-h fa-lg text-muted"></i>
                </button>
                <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                    <a class="dropdown-item" href="#">Action</a>
                    <a class="dropdown-item" href="#">Another action</a>
                    <a class="dropdown-item" href="#">Something else here</a>
                </div>
            </div>
        </div>
        <div class="grade_filter-area d-none d-sm-block mt-3">
            <form class="form-inline p-3 col">
                <div class="form-group col-4 col-sm-5 flex-nowrap">
                    <label class="pr-4" for="searchText" [translate]="'Grades.OrderBy'"></label>
                    <select class="form-control flex-fill" (change)="onChangeGroup($event.target.value)">
                        <option [value]="group.attribute" *ngFor="let group of configuration.groups"
                                [translate]="group.title"></option>
                    </select>
                </div>
                <div class="form-group col-8 col-sm-7 flex-nowrap">
                    <label class="pr-4" for="searchText" [translate]="'Grades.Filter'"></label>
                    <input spellcheck="false" type="text" id="searchText" (keydown)="onSearchKeyDown($event)"
                           name="searchText" class="form-control col text-left" placeholder="{{ 'Grades.SearchPlaceholder' | translate }}" >
                </div>
            </form>
        </div>

        <div *ngIf="groups">
            <div class="mt-3-5" *ngFor="let group of groups">
                <div *ngIf="group.grades && group.grades.length">
                    <!-- Start of List Group -->
                    <span class="sis--list-title">{{group[selectedGroup.attribute]?.name}}</span>
                    <div class="flex-column">
                        <!-- Start of List Group Header-->
                        <ul class="sis--list-group sis--list-group-header">
                            <li class="sis--list-group-item">
                                <div class="flex-centering">
                                    <div class='sis--list-group-item_lg_column' [translate]="'Grades.CourseName'"></div>
                                    <div class='sis--list-group-item_md_column d-none d-md-block' [translate]="'Grades.Code'"></div>
                                    <div class='sis--list-group-item_lg_column d-none d-xl-block' [translate]="'Grades.Teacher'"></div>
                                    <div class='sis--list-group-item_md_column d-none d-lg-block' [translate]="'Grades.ExamPeriod'"></div>
                                    <div class='sis--list-group-item_sm_column d-none d-md-block' [translate]="'Grades.Type'"></div>
                                    <div class='sis--list-group-item_sm_column d-none d-md-block' [translate]="'CP'"></div>
                                    <div class='sis--list-group-item_sm_column d-none d-md-block' [translate]="'ECTS'"></div>
                                    <div class='sis--list-group-item_sm_column d-none d-md-block' [translate]="'Grades.Coefficient'"></div>
                                    <div class='sis--list-group-item_sm_column' [translate]="'Grades.Grade'"></div>
                    </div>
                            </li>
                        </ul>
                        <!-- End of List Group Header-->

                        <!-- Start of List Group Body-->
                        <ul class="sis--list-group sis--list-group-body">
                            <li class="sis--list-group-item" *ngFor="let grade of group.grades">
                                <div class="flex-centering list-color">
                                    <div class='sis--list-group-item_lg_column'>{{grade.course.name}}</div>
                                    <div class='sis--list-group-item_md_column d-none d-md-block'>{{grade.course.displayCode}}</div>
                                    <div class='sis--list-group-item_lg_column d-none d-xl-block'>
                                <ng-container *ngIf="grade.gradeExam">
                                    <ng-container *ngIf="grade.gradeExam.instructors">
                                        <ng-container *ngFor="let examInstructor of grade.gradeExam.instructors;let i = index;">
                                            <div>{{examInstructor.instructor.familyName}}
                                                {{examInstructor.instructor.givenName}}</div>
                                            <!-- <span *ngIf="i<grade.gradeExam.instructors.length-1">,&nbsp;</span> -->
                                        </ng-container>
                                    </ng-container>
                                </ng-container>
                                    </div>
                                    <div class='sis--list-group-item_md_column d-none d-lg-block'>{{grade.gradePeriodDescription}}</div>
                                    <div class='sis--list-group-item_sm_column d-none d-md-block'>{{grade.courseType.abbreviation}}</div>
                                    <div class='sis--list-group-item_sm_column d-none d-md-block'>{{grade.units}}</div>
                                    <div class='sis--list-group-item_sm_column d-none d-md-block'>{{grade.ects}}</div>
                                    <div class='sis--list-group-item_sm_column d-none d-md-block'>{{grade.coefficient}}</div>
                                    <div class='sis--list-group-item_sm_column' [ngClass]="(grade.isPassed)?'passed-grade':'failed-grade'">{{grade.formattedGrade}}</div>
                                </div>
                            </li>
                        </ul>
                        <!-- End of List Group Body-->

                    <div class="footer-text">
                            <span [translate]="'Grades.TotalCourses'"></span>: {{group.grades &&
                            group.grades.length || 0}}<br>
                        <span [translate]="'Grades.GradeAverage'"></span>: {{ group.average }}<br>
                            <span [translate]="'Grades.TotalEcts'"></span>: {{ group.grades | pluck : 'ects' | sum
                            }}
                    </div>

                    </div>  <!-- End of List Group-->
                </div>
            </div>
        </div>  <!-- End of *ngIf="groups" -->  
        
    </div>
    <div class="col-lg-3">
        <div class="d-none d-lg-block">
            <app-grades-statbox
                    title="{{ 'Grades.Statistics' | translate }}"
                    statsPeriod="{{ 'Grades.InTotal' | translate }}"
                    [registeredCourses]="registeredCourses"
                    [passedCourses]="passedCourses"
                    [failedCourses]="failedCourses"
                    [passedGradeAverage]="passedGradeAverage"></app-grades-statbox>
        </div>
    </div>
</div>
